<?php


namespace App\Http\Requests;


class FeedsRequest extends Request
{
    public $content;
    public $file_url;
    public $address_info;
    public $match_title;
    public $game_per_id;


    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.['
     *
     * @return array
     */
    public function rules()
    {
        return [
            'content'  => 'max:200|min:1',
        ];
    }

    public function messages()
    {
        return [
            'content.max' => trans('api.CONTENT_TOO_LONG'),
            'content.min' => trans('api.CONTENT_TOO_SHORT'),
        ];
    }
}
